#include "chdecl.h"
void CH_ator(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c54;
    case 4: goto c89;
    case 5: goto c116;
    case 6: goto c118;
    case 7: goto c123;
    case 8: goto c199;
    case 9: goto c208;
    case 10: goto c210;
    case 11: goto c212;
    case 17: goto c283;
    case 12: goto c283;
    case 13: goto cb294;
    case 14: goto c295;
    case 15: goto c337;
    case 16: goto cb377;
    case 18: goto c379;
    case 19: goto c433;
    case 20: goto c449;
    case 21: goto c452;
    case 22: goto c456;
    case 23: goto c459;
    case 24: goto c460;
    case 25: goto c462;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* copy 4 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = & dr_table;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
/* ilit 6 , 0 */
  REF(6).value.integer = 0;
  REF(6).tsdr = & dr_integer;
/* ilit 7 , 0 */
  REF(7).value.integer = 0;
  REF(7).tsdr = & dr_integer;
/* boolean 8 , FALSE */
  REF(8).value.boolean = FALSE;
  REF(8).tsdr = & dr_boolean;
/* ilit 9 , 0 */
  REF(9).value.integer = 0;
  REF(9).tsdr = & dr_integer;
/* ilit 10 , 16777216 */
  REF(10).value.integer = 16777216;
  REF(10).tsdr = & dr_integer;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 11 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(11).value,0);
  REF(11).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* rlit 13 , 1.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(13).value.real = ch_real;
  REF(13).tsdr = & dr_real;*ch_real = 1.0;
/* equal . 12 =(45) , 39 */
  if ( REF(12).value.ord_enum == 45 ) goto c39;
/* equal . 12 =(43) , 46 */
  if ( REF(12).value.ord_enum == 43 ) goto c46;
/* branch , 51 */
   goto c51;
c39:
/* rnegate 13 13 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(13).value.real = ch_real;
  REF(13).tsdr = & dr_real;*ch_real = - *REF(13).value.real;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 14 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(14).value,0);
  REF(14).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 51 */
   goto c51;
c46:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 15 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(15).value,0);
  REF(15).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
c51:
/* ilit 16 , 0 */
  REF(16).value.integer = 0;
  REF(16).tsdr = & dr_integer;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
c54:
/* noop */
  
/* equal . 12 =(101) , 62 */
  if ( REF(12).value.ord_enum == 101 ) goto c62;
/* equal . 12 =(46) , 118 */
  if ( REF(12).value.ord_enum == 46 ) goto c118;
/* branch , 123 */
   goto c123;
c62:
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 17 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(17).value,0);
  REF(17).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* ilit 18 , 1 */
  REF(18).value.integer = 1;
  REF(18).tsdr = & dr_integer;
/* equal . 12 =(45) , 75 */
  if ( REF(12).value.ord_enum == 45 ) goto c75;
/* equal . 12 =(43) , 82 */
  if ( REF(12).value.ord_enum == 43 ) goto c82;
/* branch , 87 */
   goto c87;
c75:
/* inegate 18 18 */
  REF(18).value.integer = -REF(18).value.integer;
  REF(18).tsdr = & dr_integer;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 19 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(19).value,0);
  REF(19).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 87 */
   goto c87;
c82:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 20 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(20).value,0);
  REF(20).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
c87:
/* ilit 21 , 0 */
  REF(21).value.integer = 0;
  REF(21).tsdr = & dr_integer;
c89:
/* noop */
  
/* oecvt_int 22 12 */
  REF(22).value.integer = REF(12).value.ord_enum;
  REF(22).tsdr = & dr_integer;
/* isubtract 23 22 =(48) */
  if (!chf_isubtract(DEF(23),REF(22).value.integer,48)) goto ch_depletion;
/* ilt 24 23 =(0) */
  REF(24).value.boolean = (REF(23).value.integer < 0);
/* ige 25 23 =(10) */
  REF(25).value.boolean = (REF(23).value.integer >= 10);
/* or 26 24 25 */
  REF(26).value.boolean = REF(24).value.boolean|REF(25).value.boolean;
  REF(26).tsdr = & dr_boolean;
/* branch_false 26 , 99 */
  if ( !REF(26).value.boolean ) goto c99;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c99:
/* imultiply 27 =(10) 21 */
  if (!chf_imultiply(DEF(27),10,REF(21).value.integer)) goto ch_depletion;
/* iadd 21 27 23 */
  if (!chf_iadd(DEF(21),REF(27).value.integer,REF(23).value.integer))
     goto ch_depletion;
/* size 28 4 */
  REF(28).value.integer = REF(4).value.table->size;
  REF(28).tsdr = & dr_integer;
/* notequal . 28 =(0) , 109 */
  if ( REF(28).value.integer != 0 ) goto c109;
/* imultiply 29 18 21 */
  if (!chf_imultiply(DEF(29),REF(18).value.integer,REF(21).value.integer))
     goto ch_depletion;
/* iadd 9 9 29 */
  if (!chf_iadd(DEF(9),REF(9).value.integer,REF(29).value.integer))
     goto ch_depletion;
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c109:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 30 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(30).value,0);
  REF(30).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 89 */
   goto c89;
c114:
/* endblock */
  che_endblock(sched);
/* branch , 199 */
   goto c199;
c116:
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c118:
/* branch_false 8 , 120 */
  if ( !REF(8).value.boolean ) goto c120;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c120:
/* boolean 8 , TRUE */
  REF(8).value.boolean = TRUE;
  REF(8).tsdr = & dr_boolean;
/* branch , 199 */
   goto c199;
c123:
/* oecvt_int 31 12 */
  REF(31).value.integer = REF(12).value.ord_enum;
  REF(31).tsdr = & dr_integer;
/* isubtract 23 31 =(48) */
  if (!chf_isubtract(DEF(23),REF(31).value.integer,48)) goto ch_depletion;
/* ile 32 =(0) 23 */
  REF(32).value.boolean = (0 <= REF(23).value.integer);
/* ile 33 23 =(10) */
  REF(33).value.boolean = (REF(23).value.integer <= 10);
/* and 34 32 33 */
  REF(34).value.boolean = REF(32).value.boolean&REF(33).value.boolean;
  REF(34).tsdr = & dr_boolean;
/* branch_false 34 , 191 */
  if ( !REF(34).value.boolean ) goto c191;
/* notequal . 16 =(0) , 144 */
  if ( REF(16).value.integer != 0 ) goto c144;
/* imultiply 35 =(10) 5 */
  if (!chf_imultiply(DEF(35),10,REF(5).value.integer)) goto ch_depletion;
/* iadd 5 35 23 */
  if (!chf_iadd(DEF(5),REF(35).value.integer,REF(23).value.integer))
     goto ch_depletion;
/* ilt . 5 10 , 187 */
  if ( REF(5).value.integer < REF(10).value.integer ) goto c187;
/* idivide 6 5 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  REF(6).value.integer = REF(5).value.integer/REF(10).value.integer;
  REF(6).tsdr = & dr_integer;
/* imod 5 5 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  if (!chf_imod(DEF(5),REF(5).value.integer,REF(10).value.integer))
     goto ch_depletion;
/* ilit 16 , 1 */
  REF(16).value.integer = 1;
  REF(16).tsdr = & dr_integer;
/* branch , 187 */
   goto c187;
c144:
/* noop */
  
/* notequal . 16 =(3) , 150 */
  if ( REF(16).value.integer != 3 ) goto c150;
/* iadd 9 9 =(1) */
  if (!chf_iadd(DEF(9),REF(9).value.integer,1)) goto ch_depletion;
/* branch , 187 */
   goto c187;
c150:
/* imultiply 36 =(10) 5 */
  if (!chf_imultiply(DEF(36),10,REF(5).value.integer)) goto ch_depletion;
/* iadd 5 36 23 */
  if (!chf_iadd(DEF(5),REF(36).value.integer,REF(23).value.integer))
     goto ch_depletion;
/* idivide 23 5 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  REF(23).value.integer = REF(5).value.integer/REF(10).value.integer;
  REF(23).tsdr = & dr_integer;
/* imod 5 5 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  if (!chf_imod(DEF(5),REF(5).value.integer,REF(10).value.integer))
     goto ch_depletion;
/* imultiply 37 =(10) 6 */
  if (!chf_imultiply(DEF(37),10,REF(6).value.integer)) goto ch_depletion;
/* iadd 6 37 23 */
  if (!chf_iadd(DEF(6),REF(37).value.integer,REF(23).value.integer))
     goto ch_depletion;
/* notequal . 16 =(1) , 171 */
  if ( REF(16).value.integer != 1 ) goto c171;
/* ilt . 6 10 , 187 */
  if ( REF(6).value.integer < REF(10).value.integer ) goto c187;
/* idivide 7 6 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  REF(7).value.integer = REF(6).value.integer/REF(10).value.integer;
  REF(7).tsdr = & dr_integer;
/* imod 6 6 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  if (!chf_imod(DEF(6),REF(6).value.integer,REF(10).value.integer))
     goto ch_depletion;
/* ilit 16 , 2 */
  REF(16).value.integer = 2;
  REF(16).tsdr = & dr_integer;
/* branch , 187 */
   goto c187;
c171:
/* idivide 23 6 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  REF(23).value.integer = REF(6).value.integer/REF(10).value.integer;
  REF(23).tsdr = & dr_integer;
/* imod 6 6 10 */
  if (REF(10).value.integer == 0) goto ch_dividebyzero;
  if (!chf_imod(DEF(6),REF(6).value.integer,REF(10).value.integer))
     goto ch_depletion;
/* imultiply 38 =(10) 7 */
  if (!chf_imultiply(DEF(38),10,REF(7).value.integer)) goto ch_depletion;
/* iadd 7 38 23 */
  if (!chf_iadd(DEF(7),REF(38).value.integer,REF(23).value.integer))
     goto ch_depletion;
/* ilt . 7 10 , 187 */
  if ( REF(7).value.integer < REF(10).value.integer ) goto c187;
/* idivide 7 7 =(10) */
  REF(7).value.integer = REF(7).value.integer/10;
  REF(7).tsdr = & dr_integer;
/* iadd 9 9 =(1) */
  if (!chf_iadd(DEF(9),REF(9).value.integer,1)) goto ch_depletion;
/* ilit 16 , 3 */
  REF(16).value.integer = 3;
  REF(16).tsdr = & dr_integer;
c187:
/* branch_false 8 , 199 */
  if ( !REF(8).value.boolean ) goto c199;
/* isubtract 9 9 =(1) */
  if (!chf_isubtract(DEF(9),REF(9).value.integer,1)) goto ch_depletion;
/* branch , 199 */
   goto c199;
c191:
/* noop */
  
/* notequal . 12 =(69) , 198 */
  if ( REF(12).value.ord_enum != 69 ) goto c198;
/* ordenum_lit 39 , 101 */
  REF(39).value.ord_enum = 101;
  REF(39).tsdr = & dr_ord_enumeration;
/* insert_at 4 39 =(0) */
  if ((ch_returncode = insertfunc(DEF(4),DEF(39),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* branch , 199 */
   goto c199;
c198:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c199:
/* size 40 4 */
  REF(40).value.integer = REF(4).value.table->size;
  REF(40).tsdr = & dr_integer;
/* notequal . 40 =(0) , 203 */
  if ( REF(40).value.integer != 0 ) goto c203;
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c203:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 41 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(41).value,0);
  REF(41).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 54 */
   goto c54;
c208:
/* endblock */
  che_endblock(sched);
/* branch , 212 */
   goto c212;
c210:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c212:
/* icvt_real 42 10 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(42).value.real = ch_real;
  REF(42).tsdr = & dr_real;*ch_real = REF(10).value.integer;
/* notequal . 9 =(0) , 226 */
  if ( REF(9).value.integer != 0 ) goto c226;
/* icvt_real 43 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(43).value.real = ch_real;
  REF(43).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* rmultiply 44 42 43 */
  if (!chf_rmultiply(DEF(44),*REF(42).value.real,*REF(43).value.real))
     goto ch_depletion;
/* icvt_real 45 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(45).value.real = ch_real;
  REF(45).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* radd 46 44 45 */
  if (!chf_radd(DEF(46),*REF(44).value.real,*REF(45).value.real))
     goto ch_depletion;
/* rmultiply 47 42 46 */
  if (!chf_rmultiply(DEF(47),*REF(42).value.real,*REF(46).value.real))
     goto ch_depletion;
/* icvt_real 48 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(48).value.real = ch_real;
  REF(48).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* radd 3.1 47 48 */
  if (!chf_radd(DEF(3)DOT(1),*REF(47).value.real,*REF(48).value.real))
     goto ch_depletion;
/* branch , 456 */
   goto c456;
c226:
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 16 =(1) , 235 */
  if ( REF(16).value.integer == 1 ) goto c235;
/* equal . 16 =(0) , 242 */
  if ( REF(16).value.integer == 0 ) goto c242;
/* branch , 249 */
   goto c249;
c235:
/* ilit 49 , -24 */
  REF(49).value.integer = -24;
  REF(49).tsdr = & dr_integer;
/* move 7 6 */
  REF(7) = REF(6);
  REF(6).tsdr = & dr_bottom;
/* move 6 5 */
  REF(6) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
/* branch , 251 */
   goto c251;
c242:
/* imultiply 50 =(2) =(24) */
  if (!chf_imultiply(DEF(50),2,24)) goto ch_depletion;
/* inegate 49 50 */
  REF(49).value.integer = -REF(50).value.integer;
  REF(49).tsdr = & dr_integer;
/* move 7 5 */
  REF(7) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
/* branch , 251 */
   goto c251;
c249:
/* ilit 49 , 0 */
  REF(49).value.integer = 0;
  REF(49).tsdr = & dr_integer;
c251:
/* notequal . 7 =(0) , 256 */
  if ( REF(7).value.integer != 0 ) goto c256;
/* rlit 3.1 , 0.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(3)DOT(1).value.real = ch_real;
  REF(3)DOT(1).tsdr = & dr_real;*ch_real = 0.0;
/* branch , 449 */
   goto c449;
c256:
/* prog_lit 51 , 8 */
  if ((ch_returncode = che_prog_lit(DEF(51),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 52 51 , 9 */
  if ((ch_returncode = che_procedure(DEF(52),DEF(51),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* move 53 52 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53) = REF(52);
  REF(52).tsdr = & dr_bottom;
/* ile . 9 =(0) , 271 */
  if ( REF(9).value.integer <= 0 ) goto c271;
/* ilit 54 , 10485760 */
  REF(54).value.integer = 10485760;
  REF(54).tsdr = & dr_integer;
/* ilit 55 , 0 */
  REF(55).value.integer = 0;
  REF(55).tsdr = & dr_integer;
/* ilit 56 , 0 */
  REF(56).value.integer = 0;
  REF(56).tsdr = & dr_integer;
/* ilit 57 , 4 */
  REF(57).value.integer = 4;
  REF(57).tsdr = & dr_integer;
/* branch , 281 */
   goto c281;
c271:
/* inegate 9 9 */
  REF(9).value.integer = -REF(9).value.integer;
  REF(9).tsdr = & dr_integer;
/* ilit 54 , 13421772 */
  REF(54).value.integer = 13421772;
  REF(54).tsdr = & dr_integer;
/* ilit 55 , 13421772 */
  REF(55).value.integer = 13421772;
  REF(55).tsdr = & dr_integer;
/* ilit 56 , 13421772 */
  REF(56).value.integer = 13421772;
  REF(56).tsdr = & dr_integer;
/* ilit 57 , -3 */
  REF(57).value.integer = -3;
  REF(57).tsdr = & dr_integer;
c281:
/* noop */
  
c378:
c283:
/* equal . 9 =(0) , 379 */
  if ( REF(9).value.integer == 0 ) goto c379;
/* icvt_real 58 54 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(58).value.real = ch_real;
  REF(58).tsdr = & dr_real;*ch_real = REF(54).value.integer;
/* icvt_real 59 55 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(59).value.real = ch_real;
  REF(59).tsdr = & dr_real;*ch_real = REF(55).value.integer;
/* icvt_real 60 56 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(60).value.real = ch_real;
  REF(60).tsdr = & dr_real;*ch_real = REF(56).value.integer;
/* imod 61 9 =(2) */
  if (!chf_imod(DEF(61),REF(9).value.integer,2)) goto ch_depletion;
/* equal . 61 =(0) , 337 */
  if ( REF(61).value.integer == 0 ) goto c337;
  current->ip = 13;
cb294:
/* call 53 10 5 6 7 49 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(53),
          arguments[1] = DEF(10),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[4] = DEF(7),
          arguments[5] = DEF(49),
          arguments[5+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c295:
/* icvt_real 62 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(62).value.real = ch_real;
  REF(62).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* icvt_real 63 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(63).value.real = ch_real;
  REF(63).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* icvt_real 64 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(64).value.real = ch_real;
  REF(64).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* rmultiply 65 58 64 */
  if (!chf_rmultiply(DEF(65),*REF(58).value.real,*REF(64).value.real))
     goto ch_depletion;
/* rmultiply 66 59 63 */
  if (!chf_rmultiply(DEF(66),*REF(59).value.real,*REF(63).value.real))
     goto ch_depletion;
/* radd 67 65 66 */
  if (!chf_radd(DEF(67),*REF(65).value.real,*REF(66).value.real))
     goto ch_depletion;
/* rmultiply 68 60 62 */
  if (!chf_rmultiply(DEF(68),*REF(60).value.real,*REF(62).value.real))
     goto ch_depletion;
/* radd 69 67 68 */
  if (!chf_radd(DEF(69),*REF(67).value.real,*REF(68).value.real))
     goto ch_depletion;
/* rdivide 70 69 42 */
  if (*REF(42).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(70),*REF(69).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 5 70 */
  if (*REF(70).value.real >= (MAXINT+1.0) || *REF(70).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(5).value.integer = *REF(70).value.real;
  REF(5).tsdr = & dr_integer;
/* rmultiply 71 58 63 */
  if (!chf_rmultiply(DEF(71),*REF(58).value.real,*REF(63).value.real))
     goto ch_depletion;
/* rmultiply 72 59 62 */
  if (!chf_rmultiply(DEF(72),*REF(59).value.real,*REF(62).value.real))
     goto ch_depletion;
/* radd 73 71 72 */
  if (!chf_radd(DEF(73),*REF(71).value.real,*REF(72).value.real))
     goto ch_depletion;
/* icvt_real 74 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(74).value.real = ch_real;
  REF(74).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* radd 75 73 74 */
  if (!chf_radd(DEF(75),*REF(73).value.real,*REF(74).value.real))
     goto ch_depletion;
/* rdivide 76 75 42 */
  if (*REF(42).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(76),*REF(75).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 6 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(6).value.integer = *REF(76).value.real;
  REF(6).tsdr = & dr_integer;
/* icvt_real 77 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(77).value.real = ch_real;
  REF(77).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* rsubtract 78 76 77 */
  if (!chf_rsubtract(DEF(78),*REF(76).value.real,*REF(77).value.real))
     goto ch_depletion;
/* rmultiply 79 78 42 */
  if (!chf_rmultiply(DEF(79),*REF(78).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 5 79 */
  if (*REF(79).value.real >= (MAXINT+1.0) || *REF(79).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(5).value.integer = *REF(79).value.real;
  REF(5).tsdr = & dr_integer;
/* rmultiply 80 58 62 */
  if (!chf_rmultiply(DEF(80),*REF(58).value.real,*REF(62).value.real))
     goto ch_depletion;
/* icvt_real 81 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(81).value.real = ch_real;
  REF(81).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* radd 82 80 81 */
  if (!chf_radd(DEF(82),*REF(80).value.real,*REF(81).value.real))
     goto ch_depletion;
/* rdivide 76 82 42 */
  if (*REF(42).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(76),*REF(82).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 7 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(7).value.integer = *REF(76).value.real;
  REF(7).tsdr = & dr_integer;
/* icvt_real 83 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(83).value.real = ch_real;
  REF(83).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* rsubtract 84 76 83 */
  if (!chf_rsubtract(DEF(84),*REF(76).value.real,*REF(83).value.real))
     goto ch_depletion;
/* rmultiply 85 84 42 */
  if (!chf_rmultiply(DEF(85),*REF(84).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 6 85 */
  if (*REF(85).value.real >= (MAXINT+1.0) || *REF(85).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(6).value.integer = *REF(85).value.real;
  REF(6).tsdr = & dr_integer;
/* iadd 49 49 57 */
  if (!chf_iadd(DEF(49),REF(49).value.integer,REF(57).value.integer))
     goto ch_depletion;
c337:
/* idivide 9 9 =(2) */
  REF(9).value.integer = REF(9).value.integer/2;
  REF(9).tsdr = & dr_integer;
/* equal . 9 =(0) , 283 */
  if ( REF(9).value.integer == 0 ) goto c283;
/* copy 86 59 */
  if((ch_returncode = cp_real(& ch_val, REF(59).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 87 59 86 */
  if (!chf_rmultiply(DEF(87),*REF(59).value.real,*REF(86).value.real))
     goto ch_depletion;
/* rmultiply 88 58 60 */
  if (!chf_rmultiply(DEF(88),*REF(58).value.real,*REF(60).value.real))
     goto ch_depletion;
/* rmultiply 89 =(2.0) 88 */
  if (!chf_rmultiply(DEF(89),2.0,*REF(88).value.real)) goto ch_depletion;
/* radd 90 87 89 */
  if (!chf_radd(DEF(90),*REF(87).value.real,*REF(89).value.real))
     goto ch_depletion;
/* rdivide 91 90 42 */
  if (*REF(42).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(91),*REF(90).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 56 91 */
  if (*REF(91).value.real >= (MAXINT+1.0) || *REF(91).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(56).value.integer = *REF(91).value.real;
  REF(56).tsdr = & dr_integer;
/* rmultiply 92 58 59 */
  if (!chf_rmultiply(DEF(92),*REF(58).value.real,*REF(59).value.real))
     goto ch_depletion;
/* rmultiply 93 =(2.0) 92 */
  if (!chf_rmultiply(DEF(93),2.0,*REF(92).value.real)) goto ch_depletion;
/* icvt_real 94 56 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(94).value.real = ch_real;
  REF(94).tsdr = & dr_real;*ch_real = REF(56).value.integer;
/* radd 95 93 94 */
  if (!chf_radd(DEF(95),*REF(93).value.real,*REF(94).value.real))
     goto ch_depletion;
/* rdivide 76 95 42 */
  if (*REF(42).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(76),*REF(95).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 55 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(55).value.integer = *REF(76).value.real;
  REF(55).tsdr = & dr_integer;
/* icvt_real 96 55 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(96).value.real = ch_real;
  REF(96).tsdr = & dr_real;*ch_real = REF(55).value.integer;
/* rsubtract 97 76 96 */
  if (!chf_rsubtract(DEF(97),*REF(76).value.real,*REF(96).value.real))
     goto ch_depletion;
/* rmultiply 98 97 42 */
  if (!chf_rmultiply(DEF(98),*REF(97).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 56 98 */
  if (*REF(98).value.real >= (MAXINT+1.0) || *REF(98).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(56).value.integer = *REF(98).value.real;
  REF(56).tsdr = & dr_integer;
/* copy 86 58 */
  if((ch_returncode = cp_real(& ch_val, REF(58).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 99 86 58 */
  if (!chf_rmultiply(DEF(99),*REF(86).value.real,*REF(58).value.real))
     goto ch_depletion;
/* icvt_real 100 55 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(100).value.real = ch_real;
  REF(100).tsdr = & dr_real;*ch_real = REF(55).value.integer;
/* radd 101 99 100 */
  if (!chf_radd(DEF(101),*REF(99).value.real,*REF(100).value.real))
     goto ch_depletion;
/* rdivide 76 101 42 */
  if (*REF(42).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(76),*REF(101).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 54 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(54).value.integer = *REF(76).value.real;
  REF(54).tsdr = & dr_integer;
/* icvt_real 102 54 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(102).value.real = ch_real;
  REF(102).tsdr = & dr_real;*ch_real = REF(54).value.integer;
/* rsubtract 103 76 102 */
  if (!chf_rsubtract(DEF(103),*REF(76).value.real,*REF(102).value.real))
     goto ch_depletion;
/* rmultiply 104 103 42 */
  if (!chf_rmultiply(DEF(104),*REF(103).value.real,*REF(42).value.real))
     goto ch_depletion;
/* rcvt_int 55 104 */
  if (*REF(104).value.real >= (MAXINT+1.0) || *REF(104).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(55).value.integer = *REF(104).value.real;
  REF(55).tsdr = & dr_integer;
/* imultiply 57 =(2) 57 */
  if (!chf_imultiply(DEF(57),2,REF(57).value.integer)) goto ch_depletion;
  current->ip = 16;
cb377:
/* call 53 10 56 55 54 57 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(53),
          arguments[1] = DEF(10),
          arguments[2] = DEF(56),
          arguments[3] = DEF(55),
          arguments[4] = DEF(54),
          arguments[5] = DEF(57),
          arguments[5+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c379:
/* rlit 105 , 2.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(105).value.real = ch_real;
  REF(105).tsdr = & dr_real;*ch_real = 2.0;
/* rlit 106 , 16.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(106).value.real = ch_real;
  REF(106).tsdr = & dr_real;*ch_real = 16.0;
/* ige . 49 =(0) , 394 */
  if ( REF(49).value.integer >= 0 ) goto c394;
/* inegate 49 49 */
  REF(49).value.integer = -REF(49).value.integer;
  REF(49).tsdr = & dr_integer;
/* rdivide 106 =(1.0) 106 */
  if (*REF(106).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(106),1.0,*REF(106).value.real)) goto ch_depletion;
/* rdivide 105 =(1.0) 105 */
  if (*REF(105).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(105),1.0,*REF(105).value.real)) goto ch_depletion;
c394:
/* noop */
  
/* imod 107 49 =(4) */
  if (!chf_imod(DEF(107),REF(49).value.integer,4)) goto ch_depletion;
/* equal . 107 =(3) , 404 */
  if ( REF(107).value.integer == 3 ) goto c404;
/* equal . 107 =(2) , 409 */
  if ( REF(107).value.integer == 2 ) goto c409;
/* equal . 107 =(0) , 413 */
  if ( REF(107).value.integer == 0 ) goto c413;
/* branch , 416 */
   goto c416;
c404:
/* copy 86 105 */
  if((ch_returncode = cp_real(& ch_val, REF(105).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 108 86 105 */
  if (!chf_rmultiply(DEF(108),*REF(86).value.real,*REF(105).value.real))
     goto ch_depletion;
/* rmultiply 105 108 105 */
  if (!chf_rmultiply(DEF(105),*REF(108).value.real,*REF(105).value.real))
     goto ch_depletion;
/* branch , 416 */
   goto c416;
c409:
/* copy 86 105 */
  if((ch_returncode = cp_real(& ch_val, REF(105).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 105 86 105 */
  if (!chf_rmultiply(DEF(105),*REF(86).value.real,*REF(105).value.real))
     goto ch_depletion;
/* branch , 416 */
   goto c416;
c413:
/* rlit 105 , 1.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(105).value.real = ch_real;
  REF(105).tsdr = & dr_real;*ch_real = 1.0;
c416:
/* noop */
  
/* idivide 49 49 =(4) */
  REF(49).value.integer = REF(49).value.integer/4;
  REF(49).tsdr = & dr_integer;
/* icvt_real 109 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(109).value.real = ch_real;
  REF(109).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* rmultiply 110 42 109 */
  if (!chf_rmultiply(DEF(110),*REF(42).value.real,*REF(109).value.real))
     goto ch_depletion;
/* icvt_real 111 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(111).value.real = ch_real;
  REF(111).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* radd 112 110 111 */
  if (!chf_radd(DEF(112),*REF(110).value.real,*REF(111).value.real))
     goto ch_depletion;
/* rmultiply 113 42 112 */
  if (!chf_rmultiply(DEF(113),*REF(42).value.real,*REF(112).value.real))
     goto ch_depletion;
/* icvt_real 114 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(114).value.real = ch_real;
  REF(114).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* radd 115 113 114 */
  if (!chf_radd(DEF(115),*REF(113).value.real,*REF(114).value.real))
     goto ch_depletion;
/* rmultiply 76 13 115 */
  if (!chf_rmultiply(DEF(76),*REF(13).value.real,*REF(115).value.real))
     goto ch_depletion;
/* notequal . 49 =(0) , 433 */
  if ( REF(49).value.integer != 0 ) goto c433;
/* rmultiply 3.1 105 76 */
  if (!chf_rmultiply(DEF(3)DOT(1),*REF(105).value.real,*REF(76).value.real))
     goto ch_depletion;
/* branch , 449 */
   goto c449;
c433:
/* equal . 49 =(1) , 446 */
  if ( REF(49).value.integer == 1 ) goto c446;
/* imod 116 49 =(2) */
  if (!chf_imod(DEF(116),REF(49).value.integer,2)) goto ch_depletion;
/* notequal . 116 =(1) , 440 */
  if ( REF(116).value.integer != 1 ) goto c440;
/* rmultiply 105 105 106 */
  if (!chf_rmultiply(DEF(105),*REF(105).value.real,*REF(106).value.real))
     goto ch_depletion;
c440:
/* idivide 49 49 =(2) */
  REF(49).value.integer = REF(49).value.integer/2;
  REF(49).tsdr = & dr_integer;
/* copy 86 106 */
  if((ch_returncode = cp_real(& ch_val, REF(106).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 106 86 106 */
  if (!chf_rmultiply(DEF(106),*REF(86).value.real,*REF(106).value.real))
     goto ch_depletion;
/* branch , 433 */
   goto c433;
c446:
/* rmultiply 117 76 106 */
  if (!chf_rmultiply(DEF(117),*REF(76).value.real,*REF(106).value.real))
     goto ch_depletion;
/* rmultiply 3.1 117 105 */
  if (!chf_rmultiply(DEF(3)DOT(1),*REF(117).value.real,*REF(105).value.real))
     goto ch_depletion;
c449:
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 456 */
   goto c456;
c452:
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c456:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 460 */
   goto c460;
c459:
/* return_exception 3 , 11 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(11),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(11));
  REF(3).tsdr = & dr_bottom;
c460:
/* endblock */
  che_endblock(sched);
c462:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
